<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true"
    CodeBehind="Links.aspx.cs" Inherits="simpleBlog.WebForm11" Title="Odkazy" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>
        <%= Resources.Default.Links %></h2>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:blogCS %>"
        DeleteCommand="DELETE FROM [links] WHERE [id] = @id" InsertCommand="INSERT INTO [links] ([title],[link],[id_link_categorie]) VALUES (@title,@link,@id_link_categorie)"
        SelectCommand="SELECT * FROM [links] ORDER BY [title]" UpdateCommand="UPDATE [link_categories] SET [title] = @title WHERE [id] = @id">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="title" Type="String" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:GridView ID="GridView1" runat="server" AllowPaging="False" AllowSorting="True"
        AutoGenerateColumns="False" CellPadding="4" DataKeyNames="id" DataSourceID="SqlDataSource1"
        ForeColor="#333333" GridLines="None" EmptyDataText="<%$ Resources: Default, NoLinks %>">
        <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
        <Columns>
            <asp:BoundField DataField="title" HeaderText="<%$ Resources: Default, TitleLabel %>" SortExpression="title">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="200px" />
            </asp:BoundField>
            <asp:BoundField DataField="link" HeaderText="<%$ Resources: Default, Link %>" SortExpression="link">
                <HeaderStyle HorizontalAlign="Left" />
                <ItemStyle Width="200px" />
            </asp:BoundField>
            <asp:TemplateField>
                <ItemTemplate>
                    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# Eval("id", "~/Admin/LinksAdd.aspx?id={0}") %>'>
                        <asp:Image ID="Image1" runat="server" ImageUrl="~/gfx/upravit.jpg" /></asp:HyperLink>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:CommandField DeleteText="<%$ Resources: Default, Delete %>" ShowDeleteButton="True" ButtonType="Image"
                DeleteImageUrl="~/gfx/zmazat.jpg"></asp:CommandField>
        </Columns>
        <PagerStyle BackColor="#000000" ForeColor="White" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#000000" Font-Bold="True" ForeColor="White" />
    </asp:GridView>
</asp:Content>
