﻿<%@ Page Language="C#" MasterPageFile="~/template.Master" AutoEventWireup="true" CodeBehind="TopicAdd.aspx.cs" Inherits="notebook.WebForm16" Title="Pridať tému" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<div class="article">
<h2>
    <asp:Label ID="Label1" runat="server" Text="<%$ Resources: Default, AddTopic %>"></asp:Label></h2>

    <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:blogCS %>" 
        DeleteCommand="DELETE FROM [topic] WHERE [id] = @id" 
        InsertCommand="INSERT INTO [topic] ([title]) VALUES (@title)" 
        SelectCommand="SELECT * FROM [topic]" 
        UpdateCommand="UPDATE [topic] SET [title] = @title WHERE [id] = @id">
        <DeleteParameters>
            <asp:Parameter Name="id" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="title" Type="String" />
            <asp:Parameter Name="id" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="title" Type="String" />
        </InsertParameters>
    </asp:SqlDataSource>
    <asp:FormView ID="FormView1" runat="server" DataKeyNames="id" 
        DataSourceID="SqlDataSource1" DefaultMode="Insert" OnItemInserted="redirect" OnItemUpdated="redirect">
        <EditItemTemplate>
          
            <%=Resources.Default.TitleLabel %>: 
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="<%$ Resources: Default, Required %>" ControlToValidate="titleTextBox"></asp:RequiredFieldValidator><br />
            <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>' Width="200" />
            <br />
            <br />
            <asp:ImageButton ID="ImageButton1" runat="server" CausesValidation="True" CommandName="Update" ImageUrl="~/gfx/publikovat.jpg" />
        </EditItemTemplate>
        <InsertItemTemplate>
     <%=Resources.Default.TitleLabel %>: 
            <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="<%$ Resources: Default, Required %>" ControlToValidate="titleTextBox"></asp:RequiredFieldValidator><br />
            <asp:TextBox ID="titleTextBox" runat="server" Text='<%# Bind("title") %>' Width="200" />
            <br />
            <br />
            <asp:ImageButton ID="ImageButton2" runat="server" CommandName="Insert" CausesValidation="True" ImageUrl="~/gfx/publikovat.jpg" />
            &nbsp;
        </InsertItemTemplate>
        <ItemTemplate>
         
        </ItemTemplate>
    </asp:FormView>
</div>

</asp:Content>
